IDLE3CTL(8)

NAME
idle3ctl - disable, get or set the idle3 timer on Western Digital HDD

SYNOPSIS
idle3ctl [ flags ] [device] ..

DESCRIPTION
idle3ctl can disable, get and set the value of the infamous idle3 timer found on recent Western Digital Hard Disk Drives. Idle3ctl can be used as an alternative to the official wdidle3.exe proprietary utility, without the need to reboot in a DOS environment. Idle3ctl is an independent project, unrelated in any way to Western Digital Corp.

THIS SOFTWARE IS EXPERIMENTAL, NOT WELL TESTED AND ACCESSES LOW LEVEL INFORMATION OF YOUR HARDDRIVE. USE AT YOUR OWN RISK.

OPTIONS
When no flags are given, -g is assumed.

-h  Display help

-V  Show version and exit

-v  activate verbose output, mainly useful for debugging.

--force
    force execution even if no Western Digital HDD are detected

-g  get raw idle3 timer value

-g100
    get idle3 timer value as wdidle3 v1.00 would display it

-g103
    get idle3 timer value as wdidle3 v1.03 would display it

-d  disable idle3 timer

-s<value>
    set idle3 timer raw value. Value must be an integer between 1 and 255. The idle3 timer is set in 0.1s for the 1-128 range, and in 30s for the 129-255 range.

BUGS
Please report any bugs on the sourceforge tracker at https://sourceforge.net/tracker/?group_id=329372&atid=1381968

EXIT STATUS
idle3ctl will return zero on success and non zero on failure.

AUTHOR
idle3ctl has been written by Christophe Bothamy <cbothamy at users.sf.net>.

SEE ALSO
http://idle3-tools.sourceforge.net Idle3-tools website

http://www.wdc.com/
    Western Digital website